Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.aglets.security
Class X500Name

    java.lang.Object
      |
      +--com.ibm.aglets.security.X500Name

public class X500Name
extends java.lang.Object

Constructor Summary
`X500Name(java.security.cert.X509Certificate cert)`

Method Summary
`java.lang.String` | `getC()` Insert the method's description here.
`java.lang.String` | `getCN()` Insert the method's description here.
`java.lang.String` | `getL()` Insert the method's description here.
`java.lang.String` | `getO()` Insert the method's description here.
`java.lang.String` | `getOU()` Insert the method's description here.
`java.lang.String` | `getST()` Insert the method's description here.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### X500Name

    public X500Name(java.security.cert.X509Certificate cert)

  Parameters:
    `cert` - java.security.cert.Certificate

Method Detail

### getC

    public java.lang.String getC()

  Insert the method's description here. Creation date: (00/01/13 ???O 02:25:55)
  Returns:
    java.lang.String

### getCN

    public java.lang.String getCN()

  Insert the method's description here. Creation date: (00/01/13 ???O 02:23:11)
  Returns:
    java.lang.String

### getL

    public java.lang.String getL()

  Insert the method's description here. Creation date: (00/01/13 ???O 02:25:27)
  Returns:
    java.lang.String

### getO

    public java.lang.String getO()

  Insert the method's description here. Creation date: (00/01/13 ???O 02:24:47)
  Returns:
    java.lang.String

### getOU

    public java.lang.String getOU()

  Insert the method's description here. Creation date: (00/01/13 ???O 02:23:59)
  Returns:
    java.lang.String

### getST

    public java.lang.String getST()

  Insert the method's description here. Creation date: (00/01/13 ???O 02:25:41)
  Returns:
    java.lang.String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD